org.apache.ignite.lang

## Interface IgnitePredicate<E>

Type Parameters:
  `E` - Type of predicate parameter.

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  CacheEntryPredicate, P1<E1>, PCE<K,V>, PE, PN

All Known Implementing Classes:
  CacheEntryPredicateAdapter, CacheEntryPredicateContainsValue, CacheEntryPredicateHasValue, CacheEntryPredicateNoValue, CacheEntrySerializablePredicate, GridNodePredicate, IgnitePredicateX, PX1

    public interface IgnitePredicate<E>
    extends Serializable

Defines a predicate which accepts a parameter and returns `true` or `false`.

### Method Summary

Methods
`boolean` `apply(E e)` Predicate body.

### Method Detail

#### apply

    boolean apply(E e)

Predicate body.

Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015